Bug 240648 - graphics/rawtherapee 5.7 as of 512005: build failure on some hosts needs safety line for MAKE_JOBS_NUMBER for parallel LTO link
Summary: graphics/rawtherapee 5.7 as of 512005: build failure on some hosts needs safe...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthias Andree
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-17 17:16 UTC by Matthias Andree
Modified: 2019-09-17 22:07 UTC (History)
0 users

See Also:
mandree: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2019-09-17 17:16:25 UTC
At first glance, some make(1) or build rig change makes the _MAKE_JOBS_NUMBER variable contents go missing in some circumstances. 
Plan: Investigate and either report other bug (there's an exp-* label), or fix, or put in a safety net.

-----------------------------------------------------------

You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     mandree@FreeBSD.org
Last committer: mandree@FreeBSD.org
Ident:          $FreeBSD: head/graphics/rawtherapee/Makefile 512005 2019-09-14 11:14:03Z mandree $
Log URL:        http://package19.nyi.freebsd.org/data/112amd64-default-build-as-user/512135/logs/rawtherapee-5.7.log
Build URL:      http://package19.nyi.freebsd.org/build.html?mastername=112amd64-default-build-as-user&build=512135
Log:

=>> Building graphics/rawtherapee
build started at Tue Sep 17 09:18:24 UTC 2019
port directory: /usr/ports/graphics/rawtherapee
package name: rawtherapee-5.7
building for: FreeBSD 112amd64-default-build-as-user-job-18 11.2-RELEASE-p14 FreeBSD 11.2-RELEASE-p14 amd64
maintained by: mandree@FreeBSD.org
Makefile ident:      $FreeBSD: head/graphics/rawtherapee/Makefile 512005 2019-09-14 11:14:03Z mandree $
Poudriere version: 3.2.8-5-gc81843e5
Host OSVERSION: 1300040
Jail OSVERSION: 1102000
Job Id: 18

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1102000
UNAME_v=FreeBSD 11.2-RELEASE-p14
UNAME_r=11.2-RELEASE-p14
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-5-gc81843e5
MASTERMNT=/poudriere/data/.m/112amd64-default-build-as-user/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
GID=0
UID=0
PWD=/poudriere/data/.m/112amd64-default-build-as-user/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=112amd64-default-build-as-user
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/poudriere/data/.m/112amd64-default-build-as-user/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for rawtherapee-5.7:
     DOCS=on: Build and/or install documentation
     NATIVE=off: Use -march=native (avoid for generic packages!)
     OPENMP=on: Enable OpenMP parallel processing (i386/amd64 only)
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
mandree@FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/rawtherapee/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/rawtherapee/work  HOME=/wrkdirs/usr/ports/graphics/rawtherapee/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/graphics/rawtherapee/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CMAKE_PREFIX_PATH="/usr/local" LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/rawtherapee/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/rawtherapee/work  HOME=/wrkdirs/usr/ports/graphics/rawtherapee/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/graphics/rawtherapee/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES ADDR2LINE="/usr/local/bin/addr2line" AR="/usr/local/bin/ar" AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" DESTDIR=/wrkdirs/usr/ports/graphics/rawtherapee/work/stage LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  CC="gcc9" CFLAGS="-O2 -pipe  -I/usr/local/include -fPIC -flto= -fuse-linker-plugin -O3 -funro
 ll-loops -msse2 -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc9 -isystem /usr/local/include -fno-strict-aliasing "  CPP="cpp9" CPPFLAGS="-isystem /usr/local/include"  LDFLAGS=" -Wl,--as-needed -Wl,--as-needed -lpthread -flto= -fuse-linker-plugin -O3 -funroll-loops -msse2 -lm -lomp -L/wrkdirs/usr/ports/graphics/rawtherapee/work -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc9 -L/usr/local/lib/gcc9 -L/usr/local/lib " LIBS=""  CXX="g++9" CXXFLAGS="-O2 -pipe  -I/usr/local/include -fPIC -flto= -fuse-linker-plugin -O3 -funroll-loops -msse2 -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc9  -nostdinc++ -isystem /usr/include/c++/v1 -Wl,-rpath=/usr/local/lib/gcc9 -isystem /usr/local/include "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" CMAKE_BUILD_TYPE="release" GTK2_VERSION="2.10.0"  GTK3_VERSION="3.0.0" OSREL=11.2 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/rawtherapee"  EXAMPLESDIR="share/examples/rawtherapee"  DATADIR="share/rawtherapee"  WWWDIR="www/rawtherapee"  ETCDIR="etc/rawtherapee"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/rawtherapee DOCSDIR=/usr/local/share/doc/rawtherapee EXAMPLESDIR=/usr/local/share/examples/rawtherapee  WWWDIR=/usr/local/www/rawtherapee ETCDIR=/usr/local/etc/rawtherapee
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2

# stable/10 includes src.conf too late but make.conf is in sys.mk
.if ${.CURDIR:M/poudriere/jails/10*/usr/src/usr.bin/xlint*}
# Disable build of llib now that head no longer has lint(1)
LINT=	true
.endif
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 6.0.0 (tags/RELEASE_600/final 326565) (based on LLVM 6.0.0) Target: x86_64-unknown-freebsd11.2 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 6.0.0 (tags/RELEASE_600/final 326565) (based on LLVM 6.0.0) Target: x86_64-unknown-freebsd11.2 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 6.0.0 (tags/RELEASE_600/final 326565) (based on LLVM 6.0.0) Target: x86_64-unknown-freebsd11.2 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=11.2-RELEASE-p14
OSREL=11.2
OSVERSION=1102000
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rawtherapee-5.7 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.11.1.txz
[112amd64-default-build-as-user-job-18] Installing pkg-1.11.1...
[112amd64-default-build-as-user-job-18] Extracting pkg-1.11.1: .......... done
===>   rawtherapee-5.7 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rawtherapee-5.7
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
=> rawtherapee-5.7.tar.xz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch http://rawtherapee.com/shared/source/rawtherapee-5.7.tar.xz
rawtherapee-5.7.tar.xz                                   0  B    0  Bps
===> Fetching all distfiles required by rawtherapee-5.7 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by rawtherapee-5.7 for building
=> SHA256 Checksum OK for rawtherapee-5.7.tar.xz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by rawtherapee-5.7 for building
===>  Extracting for rawtherapee-5.7
=> SHA256 Checksum OK for rawtherapee-5.7.tar.xz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rawtherapee-5.7
===>  Applying FreeBSD patches for rawtherapee-5.7
===========================================================================
=======================<phase: build-depends  >============================
===>   rawtherapee-5.7 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.15.3.txz
[112amd64-default-build-as-user-job-18] Installing cmake-3.15.3...
[112amd64-default-build-as-user-job-18] `-- Installing curl-7.66.0...
[112amd64-default-build-as-user-job-18] |   `-- Installing ca_root_nss-3.46...
[112amd64-default-build-as-user-job-18] |   `-- Extracting ca_root_nss-3.46: ........ done
[112amd64-default-build-as-user-job-18] |   `-- Installing libnghttp2-1.39.2...
[112amd64-default-build-as-user-job-18] |   `-- Extracting libnghttp2-1.39.2: .......... done
[112amd64-default-build-as-user-job-18] `-- Extracting curl-7.66.0: .......... done
<snip>
[112amd64-default-build-as-user-job-18] |   |   `-- Installing libxkbcommon-0.8.4...
[112amd64-default-build-as-user-job-18] |   |   | `-- Installing xkeyboard-config-2.27...
[112amd64-default-build-as-user-job-18] |   |   | `-- Extracting xkeyboard-config-2.27: .......... done
[112amd64-default-build-as-user-job-18] |   |   `-- Extracting libxkbcommon-0.8.4: .......... done
[112amd64-default-build-as-user-job-18] |   | `-- Extracting at-spi2-core-2.28.0: .......... done
[112amd64-default-build-as-user-job-18] |   `-- Extracting at-spi2-atk-2.26.2: .......... done
[112amd64-default-build-as-user-job-18] |   `-- Installing colord-1.3.5...
[112amd64-default-build-as-user-job-18] |   | `-- Installing argyllcms-1.9.2_5...
[112amd64-default-build-as-user-job-18] |   |   `-- Installing libXScrnSaver-1.2.3_2...
[112amd64-default-build-as-user-job-18] |   |   `-- Extracting libXScrnSaver-1.2.3_2: .......... done
[112amd64-default-build-as-user-job-18] |   | `-- Extracting argyllcms-1.9.2_5: .......... done
[112amd64-default-build-as-user-job-18] |   | `-- Installing lcms2-2.9...
[112amd64-default-build-as-user-job-18] |   | `-- Extracting lcms2-2.9: .......... done
[112amd64-default-build-as-user-job-18] |   | `-- Installing polkit-0.114_3...
[112amd64-default-build-as-user-job-18] |   |   `-- Installing spidermonkey52-52.9.0_4...
[112amd64-default-build-as-user-job-18] |   |   | `-- Installing icu-64.2,1...
[112amd64-default-build-as-user-job-18] |   |   | `-- Extracting icu-64.2,1: .......... done
[112amd64-default-build-as-user-job-18] |   |   | `-- Installing nspr-4.22...
[112amd64-default-build-as-user-job-18] |   |   | `-- Extracting nspr-4.22: .......... done
[112amd64-default-build-as-user-job-18] |   |   `-- Extracting spidermonkey52-52.9.0_4: .......... done
===> Creating groups.
Creating group 'polkitd' with gid '565'.
===> Creating users
Creating user 'polkitd' with uid '565'.
[112amd64-default-build-as-user-job-18] |   | `-- Extracting polkit-0.114_3: ......... done
[112amd64-default-build-as-user-job-18] |   | `-- Installing sqlite3-3.29.0...
[112amd64-default-build-as-user-job-18] |   | `-- Extracting sqlite3-3.29.0: .......... done
===> Creating groups.
Creating group 'colord' with gid '970'.
===> Creating users
Creating user 'colord' with uid '970'.
[112amd64-default-build-as-user-job-18] |   `-- Extracting colord-1.3.5: .......... done
[112amd64-default-build-as-user-job-18] |   `-- Installing libepoxy-1.5.2...
[112amd64-default-build-as-user-job-18] |   `-- Extracting libepoxy-1.5.2: .......... done
[112amd64-default-build-as-user-job-18] |   `-- Installing librsvg2-2.40.20...
[112amd64-default-build-as-user-job-18] |   | `-- Installing libcroco-0.6.12...
[112amd64-default-build-as-user-job-18] |   | `-- Extracting libcroco-0.6.12: .......... done
[112amd64-default-build-as-user-job-18] |   | `-- Installing libgsf-1.14.44...
[112amd64-default-build-as-user-job-18] |   | `-- Extracting libgsf-1.14.44: .......... done
[112amd64-default-build-as-user-job-18] |   `-- Extracting librsvg2-2.40.20: .......... done
[112amd64-default-build-as-user-job-18] |   `-- Installing wayland-protocols-1.17...
[112amd64-default-build-as-user-job-18] |   `-- Extracting wayland-protocols-1.17: .......... done
[112amd64-default-build-as-user-job-18] `-- Extracting gtk3-3.24.10_1: .......... done
[112amd64-default-build-as-user-job-18] Extracting libcanberra-gtk3-0.30_5: ......... done
===>   rawtherapee-5.7 depends on shared library: libcanberra-gtk3.so - found (/usr/local/lib/libcanberra-gtk3.so)
===>   Returning to build of rawtherapee-5.7
===>   rawtherapee-5.7 depends on shared library: libexpat.so - found (/usr/local/lib/libexpat.so)
===>   rawtherapee-5.7 depends on shared library: libfftw3.so - not found
===>   Installing existing package /packages/All/fftw3-3.3.8_4.txz
[112amd64-default-build-as-user-job-18] Installing fftw3-3.3.8_4...
[112amd64-default-build-as-user-job-18] Extracting fftw3-3.3.8_4: .......... done
===>   rawtherapee-5.7 depends on shared library: libfftw3.so - found (/usr/local/lib/libfftw3.so)
===>   Returning to build of rawtherapee-5.7
===>   rawtherapee-5.7 depends on shared library: libfftw3f.so - not found
===>   Installing existing package /packages/All/fftw3-float-3.3.8_4.txz
[112amd64-default-build-as-user-job-18] Installing fftw3-float-3.3.8_4...
[112amd64-default-build-as-user-job-18] Extracting fftw3-float-3.3.8_4: .......... done
===>   rawtherapee-5.7 depends on shared library: libfftw3f.so - found (/usr/local/lib/libfftw3f.so)
===>   Returning to build of rawtherapee-5.7
===>   rawtherapee-5.7 depends on shared library: libfontconfig.so - found (/usr/local/lib/libfontconfig.so)
===>   rawtherapee-5.7 depends on shared library: libfreetype.so - found (/usr/local/lib/libfreetype.so)
===>   rawtherapee-5.7 depends on shared library: libiptcdata.so - not found
===>   Installing existing package /packages/All/libiptcdata-1.0.4_2.txz
[112amd64-default-build-as-user-job-18] Installing libiptcdata-1.0.4_2...
[112amd64-default-build-as-user-job-18] Extracting libiptcdata-1.0.4_2: .......... done
Message from libiptcdata-1.0.4_2:

===>   NOTICE:

The libiptcdata port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   rawtherapee-5.7 depends on shared library: libiptcdata.so - found (/usr/local/lib/libiptcdata.so)
===>   Returning to build of rawtherapee-5.7
===>   rawtherapee-5.7 depends on shared library: liblcms2.so - found (/usr/local/lib/liblcms2.so)
===>   rawtherapee-5.7 depends on shared library: libpng.so - found (/usr/local/lib/libpng.so)
===>   rawtherapee-5.7 depends on shared library: libsigc-2.0.so - not found
===>   Installing existing package /packages/All/libsigc++-2.10.0_4.txz
[112amd64-default-build-as-user-job-18] Installing libsigc++-2.10.0_4...
[112amd64-default-build-as-user-job-18] Extracting libsigc++-2.10.0_4: .......... done
===>   rawtherapee-5.7 depends on shared library: libsigc-2.0.so - found (/usr/local/lib/libsigc-2.0.so)
===>   Returning to build of rawtherapee-5.7
===>   rawtherapee-5.7 depends on shared library: libtiff.so - found (/usr/local/lib/libtiff.so)
===>   rawtherapee-5.7 depends on shared library: libomp.so - not found
===>   Installing existing package /packages/All/openmp-8.0.0_2.txz
[112amd64-default-build-as-user-job-18] Installing openmp-8.0.0_2...
[112amd64-default-build-as-user-job-18] Extracting openmp-8.0.0_2: .......... done
Message from openmp-8.0.0_2:

===>   NOTICE:

This port is deprecated; you may wish to reconsider installing it:

Part of base system since FreeBSD 11.3/12.1.

It is scheduled to be removed on or after 2020-02-01.
===>   rawtherapee-5.7 depends on shared library: libomp.so - found (/usr/local/lib/libomp.so)
===>   Returning to build of rawtherapee-5.7
===>   rawtherapee-5.7 depends on shared library: libatk-1.0.so - found (/usr/local/lib/libatk-1.0.so)
===>   rawtherapee-5.7 depends on shared library: libatkmm-1.6.so - not found
===>   Installing existing package /packages/All/atkmm-2.24.2_4.txz
[112amd64-default-build-as-user-job-18] Installing atkmm-2.24.2_4...
[112amd64-default-build-as-user-job-18] `-- Installing glibmm-2.56.0_2,1...
[112amd64-default-build-as-user-job-18] |   `-- Installing perl5-5.30.0...
[112amd64-default-build-as-user-job-18] |   `-- Extracting perl5-5.30.0: .......... done
[112amd64-default-build-as-user-job-18] `-- Extracting glibmm-2.56.0_2,1: .......... done
[112amd64-default-build-as-user-job-18] Extracting atkmm-2.24.2_4: .......... done
Message from perl5-5.30.0:

The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   rawtherapee-5.7 depends on shared library: libatkmm-1.6.so - found (/usr/local/lib/libatkmm-1.6.so)
===>   Returning to build of rawtherapee-5.7
===>   rawtherapee-5.7 depends on shared library: libcairo.so - found (/usr/local/lib/libcairo.so)
===>   rawtherapee-5.7 depends on shared library: libcairomm-1.0.so - not found
===>   Installing existing package /packages/All/cairomm-1.12.2_4.txz
[112amd64-default-build-as-user-job-18] Installing cairomm-1.12.2_4...
[112amd64-default-build-as-user-job-18] `-- Installing libxml++-2.34.2_4,1...
[112amd64-default-build-as-user-job-18] `-- Extracting libxml++-2.34.2_4,1: .......... done
[112amd64-default-build-as-user-job-18] Extracting cairomm-1.12.2_4: .......... done
===>   rawtherapee-5.7 depends on shared library: libcairomm-1.0.so - found (/usr/local/lib/libcairomm-1.0.so)
===>   Returning to build of rawtherapee-5.7
===>   rawtherapee-5.7 depends on shared library: libgdk_pixbuf-2.0.so - found (/usr/local/lib/libgdk_pixbuf-2.0.so)
===>   rawtherapee-5.7 depends on shared library: libglib-2.0.so - found (/usr/local/lib/libglib-2.0.so)
===>   rawtherapee-5.7 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>   rawtherapee-5.7 depends on shared library: libglibmm-2.4.so - found (/usr/local/lib/libglibmm-2.4.so)
===>   rawtherapee-5.7 depends on shared library: libgtk-3.so - found (/usr/local/lib/libgtk-3.so)
===>   rawtherapee-5.7 depends on shared library: libgtkmm-3.0.so - not found
===>   Installing existing package /packages/All/gtkmm30-3.22.2.txz
[112amd64-default-build-as-user-job-18] Installing gtkmm30-3.22.2...
[112amd64-default-build-as-user-job-18] `-- Installing pangomm-2.40.1_4...
[112amd64-default-build-as-user-job-18] `-- Extracting pangomm-2.40.1_4: .......... done
[112amd64-default-build-as-user-job-18] Extracting gtkmm30-3.22.2: .......... done
===>   rawtherapee-5.7 depends on shared library: libgtkmm-3.0.so - found (/usr/local/lib/libgtkmm-3.0.so)
===>   Returning to build of rawtherapee-5.7
===>   rawtherapee-5.7 depends on shared library: libgsf-1.so - found (/usr/local/lib/libgsf-1.so)
===>   rawtherapee-5.7 depends on shared library: librsvg-2.so - found (/usr/local/lib/librsvg-2.so)
===>   rawtherapee-5.7 depends on shared library: libsigc-2.0.so - found (/usr/local/lib/libsigc-2.0.so)
===>   rawtherapee-5.7 depends on shared library: libxml++-2.6.so - found (/usr/local/lib/libxml++-2.6.so)
===>   rawtherapee-5.7 depends on shared library: libxml2.so - found (/usr/local/lib/libxml2.so)
===>   rawtherapee-5.7 depends on shared library: libpango-1.0.so - found (/usr/local/lib/libpango-1.0.so)
===>   rawtherapee-5.7 depends on shared library: libpangomm-1.4.so - found (/usr/local/lib/libpangomm-1.4.so)
===>   rawtherapee-5.7 depends on shared library: libjpeg.so - found (/usr/local/lib/libjpeg.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rawtherapee-5.7
===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/graphics/rawtherapee/work/.build
-- The C compiler identification is GNU 9.2.0
-- The CXX compiler identification is GNU 9.2.0
-- Check for working C compiler: /usr/local/bin/gcc9
-- Check for working C compiler: /usr/local/bin/gcc9 -- broken
CMake Error at /usr/local/share/cmake/Modules/CMakeTestCCompiler.cmake:60 (message):
  The C compiler

    "/usr/local/bin/gcc9"

  is not able to compile a simple test program.

  It fails with the following output:

    Change Dir: /wrkdirs/usr/ports/graphics/rawtherapee/work/.build/CMakeFiles/CMakeTmp
    
    Run Build Command(s):/usr/local/bin/ninja cmTC_3abdf && [1/2] Building C object CMakeFiles/cmTC_3abdf.dir/testCCompiler.c.o
    FAILED: CMakeFiles/cmTC_3abdf.dir/testCCompiler.c.o 
    /usr/local/bin/gcc9   -O2 -pipe  -I/usr/local/include -fPIC -flto= -fuse-linker-plugin -O3 -funroll-loops -msse2 -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc9 -isystem /usr/local/include -fno-strict-aliasing -o CMakeFiles/cmTC_3abdf.dir/testCCompiler.c.o   -c testCCompiler.c
    gcc9: error: missing argument to '-flto='
    ninja: build stopped: subcommand failed.
    
    

  

  CMake will not be able to correctly generate this project.
Call Stack (most recent call first):
  CMakeLists.txt:16 (project)


-- Configuring incomplete, errors occurred!
See also "/wrkdirs/usr/ports/graphics/rawtherapee/work/.build/CMakeFiles/CMakeOutput.log".
See also "/wrkdirs/usr/ports/graphics/rawtherapee/work/.build/CMakeFiles/CMakeError.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/rawtherapee
Comment 1 commit-hook freebsd_committer 2019-09-17 22:06:33 UTC
A commit references this bug:

Author: mandree
Date: Tue Sep 17 22:06:30 UTC 2019
New revision: 512242
URL: https://svnweb.freebsd.org/changeset/ports/512242

Log:
  graphics/rawtherapee: fix a few build glitches

  In some circumstances, ${_MAKE_JOBS_NUMBER} remains undefined,
  failing configure.  Use ${MAKE_JOBS_NUMBER} instead.

  Compile time optimizations:
  * 5.7 regressed in that it would not use ccache.
    Reintroduce ccache where configured.
  * Add -fno-fat-lto-objects to CFLAGS.

  Cleanup duplicate LDFLAGS+=-Wl,--as-needed

  PR:		240648

Changes:
  head/graphics/rawtherapee/Makefile